Page MenuHomePhabricator

The wiki files in the Wikibase doc folder should only use easily parsed constructs
Closed, ResolvedPublic

Description

The wikifiles in Wikibase doc folder should be cleaned up to only use easily parsed constructs. In particular, they should use constructs that makes them readable at Github. Still the chosen constructs should make readable pages if copied to Mediawiki and other wikis.

In addition they should be cleaned up.

Afterwards they can be used as link targets from various pages.

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterWikibase: Cleanup json
mediawiki/extensions/Wikibase : masterWikibase: Cleanup options
mediawiki/extensions/Wikibase : masterWikibase: RDF binding
mediawiki/extensions/Wikibase : masterWikibase: Cleanup summaries
mediawiki/extensions/Wikibase : masterWikibase: Cleanup usagetracking migration
mediawiki/extensions/Wikibase : masterWikibase: Cleanup usagetracking
mediawiki/extensions/Wikibase : masterWikibase: Cleanup hooks PHP
mediawiki/extensions/Wikibase : masterWikibase: Cleanup hooks JS
mediawiki/extensions/Wikibase : masterWikibase: Cleanup public apis
mediawiki/extensions/Wikibase : masterWikibase: Cleanup datatypes
mediawiki/extensions/Wikibase : masterWikibase: Cleanup federation
mediawiki/extensions/Wikibase : masterWikibase: Cleanup extending entities
mediawiki/extensions/Wikibase : masterWikibase: Cleanup entitytypes
mediawiki/extensions/Wikibase : masterWikibase: Cleanup entity storage
mediawiki/extensions/Wikibase : masterWikibase: Cleanup change-propagation
mediawiki/extensions/Wikibase : masterWikibase: Cleanup constraints
mediawiki/extensions/Wikibase : masterWikibase: Cleanup change-op-serializations

Event Timeline

jeblad created this task.Dec 18 2018, 1:09 PM
Restricted Application added a project: Wikidata. · View Herald TranscriptDec 18 2018, 1:09 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 480480 had a related patch set uploaded (by John Erling Blad; owner: John Erling Blad):
[mediawiki/extensions/Wikibase@master] Wikibase: Cleanup change-op-serializations

https://gerrit.wikimedia.org/r/480480

I'll await what happen with Change 480480 before I upload any more.

Change 480541 had a related patch set uploaded (by John Erling Blad; owner: John Erling Blad):
[mediawiki/extensions/Wikibase@master] Wikibase: Cleanup change-propagation

https://gerrit.wikimedia.org/r/480541

Change 480559 had a related patch set uploaded (by John Erling Blad; owner: John Erling Blad):
[mediawiki/extensions/Wikibase@master] Wikibase: Cleanup constraints

https://gerrit.wikimedia.org/r/480559

Addshore moved this task from incoming to in progress on the Wikidata board.Dec 19 2018, 12:42 PM

Change 480741 had a related patch set uploaded (by John Erling Blad; owner: John Erling Blad):
[mediawiki/extensions/Wikibase@master] Wikibase: Cleanup datatypes

https://gerrit.wikimedia.org/r/480741

Change 480480 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Wikibase: Cleanup change-op-serializations

https://gerrit.wikimedia.org/r/480480

Change 480559 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Wikibase: Cleanup constraints

https://gerrit.wikimedia.org/r/480559

Change 480541 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Wikibase: Cleanup change-propagation

https://gerrit.wikimedia.org/r/480541

Change 480748 had a related patch set uploaded (by John Erling Blad; owner: John Erling Blad):
[mediawiki/extensions/Wikibase@master] Wikibase: Cleanup entity storage

https://gerrit.wikimedia.org/r/480748

Change 480749 had a related patch set uploaded (by John Erling Blad; owner: John Erling Blad):
[mediawiki/extensions/Wikibase@master] Wikibase: Cleanup entitytypes

https://gerrit.wikimedia.org/r/480749

Change 480751 had a related patch set uploaded (by John Erling Blad; owner: John Erling Blad):
[mediawiki/extensions/Wikibase@master] Wikibase: Cleanup extending entities

https://gerrit.wikimedia.org/r/480751

Change 480753 had a related patch set uploaded (by John Erling Blad; owner: John Erling Blad):
[mediawiki/extensions/Wikibase@master] Wikibase: Cleanup federation

https://gerrit.wikimedia.org/r/480753

Change 480748 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Wikibase: Cleanup entity storage

https://gerrit.wikimedia.org/r/480748

Change 480749 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Wikibase: Cleanup entitytypes

https://gerrit.wikimedia.org/r/480749

Change 480751 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Wikibase: Cleanup extending entities

https://gerrit.wikimedia.org/r/480751

Change 480753 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Wikibase: Cleanup federation

https://gerrit.wikimedia.org/r/480753

Change 480764 had a related patch set uploaded (by John Erling Blad; owner: John Erling Blad):
[mediawiki/extensions/Wikibase@master] Wikibase: Cleanup hooks JS

https://gerrit.wikimedia.org/r/480764

Change 480770 had a related patch set uploaded (by John Erling Blad; owner: John Erling Blad):
[mediawiki/extensions/Wikibase@master] Wikibase: Cleanup hooks PHP

https://gerrit.wikimedia.org/r/480770

Change 480773 had a related patch set uploaded (by John Erling Blad; owner: John Erling Blad):
[mediawiki/extensions/Wikibase@master] Wikibase: Cleanup json

https://gerrit.wikimedia.org/r/480773

Change 480779 had a related patch set uploaded (by John Erling Blad; owner: John Erling Blad):
[mediawiki/extensions/Wikibase@master] Wikibase: Cleanup options

https://gerrit.wikimedia.org/r/480779

Change 480780 had a related patch set uploaded (by John Erling Blad; owner: John Erling Blad):
[mediawiki/extensions/Wikibase@master] Wikibase: Cleanup public apis

https://gerrit.wikimedia.org/r/480780

Change 480783 had a related patch set uploaded (by John Erling Blad; owner: John Erling Blad):
[mediawiki/extensions/Wikibase@master] Wikibase: RDF binding

https://gerrit.wikimedia.org/r/480783

Change 480741 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Wikibase: Cleanup datatypes

https://gerrit.wikimedia.org/r/480741

Change 480780 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Wikibase: Cleanup public apis

https://gerrit.wikimedia.org/r/480780

Change 480764 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Wikibase: Cleanup hooks JS

https://gerrit.wikimedia.org/r/480764

Change 480799 had a related patch set uploaded (by John Erling Blad; owner: John Erling Blad):
[mediawiki/extensions/Wikibase@master] Wikibase: Cleanup summaries

https://gerrit.wikimedia.org/r/480799

Change 480801 had a related patch set uploaded (by John Erling Blad; owner: John Erling Blad):
[mediawiki/extensions/Wikibase@master] Wikibase: Cleanup usagetracking

https://gerrit.wikimedia.org/r/480801

Change 480803 had a related patch set uploaded (by John Erling Blad; owner: John Erling Blad):
[mediawiki/extensions/Wikibase@master] Wikibase: Cleanup usagetracking migration

https://gerrit.wikimedia.org/r/480803

Still missing:

  • lua.wiki
  • ontology.owl (should probably not be changed)

Change 480770 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Wikibase: Cleanup hooks PHP

https://gerrit.wikimedia.org/r/480770

Change 480803 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Wikibase: Cleanup usagetracking migration

https://gerrit.wikimedia.org/r/480803

Change 480801 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Wikibase: Cleanup usagetracking

https://gerrit.wikimedia.org/r/480801

Change 480799 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Wikibase: Cleanup summaries

https://gerrit.wikimedia.org/r/480799

Change 480783 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Wikibase: RDF binding

https://gerrit.wikimedia.org/r/480783

Change 480779 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Wikibase: Cleanup options

https://gerrit.wikimedia.org/r/480779

On the campsite to make sure the review gets finished

Change 480773 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Wikibase: Cleanup json

https://gerrit.wikimedia.org/r/480773

Dinoguy1000 renamed this task from The wiki files in the Wikibase doc folder should only use easilly parsed constructs to The wiki files in the Wikibase doc folder should only use easily parsed constructs.Jan 9 2019, 3:53 PM
Dinoguy1000 updated the task description. (Show Details)